> Attached is a patch created along to your suggestion.  I'll commit if
> you don't have any trouble with this.

I don't understand why your patch adds "require 'monitor'"

Otherwise I think this is the best solution, given the need to retain
backwards compatibility.

Thank you for your quick response.

Regards,

Brian.